
Figure - Bug #117875
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】同时出现底层应用和小窗应用时上划，小窗和底层应用一起消失
2023-05-11 15:46 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-11

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 由于获取到的mInRecent状态不对,导致小窗被隐藏了

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开一应用小窗

2、打开一全屏应用

3、从底部轻微上划

【预期结果】

3、全屏应用被关闭

【实际结果】

3、全屏应用和小窗应用都被关闭

再次点击桌面上的全屏应用图标，步骤一、二中的全屏应用和小窗应用一起打开

History

#1 - 2023-05-11 19:32 - CD FW-鲁凯峰

需要和Launcher再次讨论一下Recent的进出的逻辑

可能需要Launcher那边再次提供一个状态来告诉小窗当前处于Recent状态

还在调试中

#2 - 2023-05-17 20:43 - CD FW-鲁凯峰

和Launcher那边正常同步调查中,目前还在调试中

#3 - 2023-05-19 17:27 - CD FW-鲁凯峰

- Status changed from New to RESOLVED
■ Current conclusion

问题已经解决

■ My analysis

1. Launcher改为在启动RecentActivity之前触发enterOrExitRecentTasks,提前告诉FreeFormWindowHelper已经处于Recent状态

2. 添加启动Activity时候的检查,判断是否要更新Recent的状态

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/200917

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/200586

#4 - 2023-05-19 17:32 - CD FW-鲁凯峰

- Assignee changed from CD FW-鲁凯峰 to 物联网测试组_CDTS  唐霞 

- Resolution changed from -- to FIXED

- Root cause set to 由于获取到的mInRecent状态不对,导致小窗没有隐藏

#5 - 2023-05-19 17:32 - CD FW-鲁凯峰

- Root cause changed from 由于获取到的mInRecent状态不对,导致小窗没有隐藏 to 由于获取到的mInRecent状态不对,导致小窗被隐藏了

#6 - 2023-05-22 16:13 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305210011

#7 - 2023-05-22 16:13 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
